﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{7E59CFF5-9A01-4DBC-A6E0-130C60F8EE18}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Excel.Tests</RootNamespace>
    <AssemblyName>Excel.Tests.4.5</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;MSTEST_DEBUG</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net">
      <HintPath>..\packages\log4net.2.0.0\lib\net40-full\log4net.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework, Version=10.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="nunit.framework">
      <HintPath>..\Lib\nunit.framework.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Excel\Excel.4.5.csproj">
      <Project>{d1905bbd-5f3b-4112-90bd-2d97c8b539c9}</Project>
      <Name>Excel.4.5</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\Excel.Tests\ExcelBinaryReaderTest.cs">
      <Link>ExcelBinaryReaderTest.cs</Link>
    </Compile>
    <Compile Include="..\Excel.Tests\ExcelOpenXmlReaderTest.cs">
      <Link>ExcelOpenXmlReaderTest.cs</Link>
    </Compile>
    <Compile Include="..\Excel.Tests\FormatReaderTest.cs">
      <Link>FormatReaderTest.cs</Link>
    </Compile>
    <Compile Include="..\Excel.Tests\Helper.cs">
      <Link>Helper.cs</Link>
    </Compile>
    <Compile Include="..\Excel.Tests\Log\Logger\Log4NetLog.cs">
      <Link>Log\Logger\Log4NetLog.cs</Link>
    </Compile>
    <Compile Include="Log\Logger\Log4NetLog-4.5.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\Excel.Tests\App.config">
      <Link>App.config</Link>
    </None>
    <Content Include="..\Excel.Tests\log4net.config">
      <Link>log4net.config</Link>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <None Include="..\Excel.Tests\Resources\Test10x10.xls">
      <Link>Resources\Test10x10.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test10x10.xlsx">
      <Link>Resources\Test10x10.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test10x10000.xls">
      <Link>Resources\Test10x10000.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test10x10000.xlsx">
      <Link>Resources\Test10x10000.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test255x10.xls">
      <Link>Resources\Test255x10.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test255x10.xlsx">
      <Link>Resources\Test255x10.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestChess.xls">
      <Link>Resources\TestChess.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestChess.xlsx">
      <Link>Resources\TestChess.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestDoublePrecision.xls">
      <Link>Resources\TestDoublePrecision.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestDoublePrecision.xlsx">
      <Link>Resources\TestDoublePrecision.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestExcel_2040.xls">
      <Link>Resources\TestExcel_2040.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestExcel_2040.xlsx">
      <Link>Resources\TestExcel_2040.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestFail_Binary.xls">
      <Link>Resources\TestFail_Binary.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestMultiSheet.xls">
      <Link>Resources\TestMultiSheet.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestMultiSheet.xlsx">
      <Link>Resources\TestMultiSheet.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestOpenXml.xlsx">
      <Link>Resources\TestOpenXml.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestUnicodeChars.xls">
      <Link>Resources\TestUnicodeChars.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\TestUnicodeChars.xlsx">
      <Link>Resources\TestUnicodeChars.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_BlankHeader.xls">
      <Link>Resources\Test_BlankHeader.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_BlankHeader.xlsx">
      <Link>Resources\Test_BlankHeader.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Decimal_1109.xls">
      <Link>Resources\Test_Decimal_1109.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Decimal_1109.xlsx">
      <Link>Resources\Test_Decimal_1109.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Decimal_Locale.xls">
      <Link>Resources\Test_Decimal_Locale.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Decimal_Locale.xlsx">
      <Link>Resources\Test_Decimal_Locale.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Encoding_Formula_Date_1520.xls">
      <Link>Resources\Test_Encoding_Formula_Date_1520.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Encoding_Formula_Date_1520.xlsx">
      <Link>Resources\Test_Encoding_Formula_Date_1520.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Excel_Dataset.xls">
      <Link>Resources\Test_Excel_Dataset.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Excel_Dataset.xlsx">
      <Link>Resources\Test_Excel_Dataset.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_10725.xls">
      <Link>Resources\Test_Issue_10725.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_10725.xlsx">
      <Link>Resources\Test_Issue_10725.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11397.xls">
      <Link>Resources\Test_Issue_11397.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11397.xlsx">
      <Link>Resources\Test_Issue_11397.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11435_Colors.xls">
      <Link>Resources\Test_Issue_11435_Colors.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11435_Colors.xlsx">
      <Link>Resources\Test_Issue_11435_Colors.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11479_BlankSheet.xls">
      <Link>Resources\Test_Issue_11479_BlankSheet.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11479_BlankSheet.xlsx">
      <Link>Resources\Test_Issue_11479_BlankSheet.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11516_Single_Tab.xlsx">
      <Link>Resources\Test_Issue_11516_Single_Tab.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11522_OpenXml.xlsx">
      <Link>Resources\Test_Issue_11522_OpenXml.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11545_NoIndex-wip.xls">
      <Link>Resources\Test_Issue_11545_NoIndex-wip.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11545_NoIndex.xls">
      <Link>Resources\Test_Issue_11545_NoIndex.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11553_FAT.xls">
      <Link>Resources\Test_Issue_11553_FAT.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11570_Excel2013.xls">
      <Link>Resources\Test_Issue_11570_Excel2013.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11570_FAT_1.xls">
      <Link>Resources\Test_Issue_11570_FAT_1.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11570_FAT_2.xls">
      <Link>Resources\Test_Issue_11570_FAT_2.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11572_CodePage.xls">
      <Link>Resources\Test_Issue_11572_CodePage.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11573_BlankValues.xls">
      <Link>Resources\Test_Issue_11573_BlankValues.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11636_BiffStream.xls">
      <Link>Resources\Test_Issue_11636_BiffStream.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_11642_ValuesNotLoaded.xls">
      <Link>Resources\Test_Issue_11642_ValuesNotLoaded.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_4031_NullColumn.xls">
      <Link>Resources\Test_Issue_4031_NullColumn.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_4031_NullColumn.xlsx">
      <Link>Resources\Test_Issue_4031_NullColumn.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_4145.xlsx">
      <Link>Resources\Test_Issue_4145.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_7433_IllegalOleAutDate.xls">
      <Link>Resources\Test_Issue_7433_IllegalOleAutDate.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_7433_IllegalOleAutDate.xlsx">
      <Link>Resources\Test_Issue_7433_IllegalOleAutDate.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_8536.xls">
      <Link>Resources\Test_Issue_8536.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_8536.xlsx">
      <Link>Resources\Test_Issue_8536.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_BoolFormula.xls">
      <Link>Resources\Test_Issue_BoolFormula.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_BoolFormula.xlsx">
      <Link>Resources\Test_Issue_BoolFormula.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_DateFormatButNotDate.xls">
      <Link>Resources\Test_Issue_DateFormatButNotDate.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_DateFormatButNotDate.xlsx">
      <Link>Resources\Test_Issue_DateFormatButNotDate.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_Issue_xxx_LocaleTime.xlsx">
      <Link>Resources\Test_Issue_xxx_LocaleTime.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_num_double_date_bool_string.xls">
      <Link>Resources\Test_num_double_date_bool_string.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_num_double_date_bool_string.xlsx">
      <Link>Resources\Test_num_double_date_bool_string.xlsx</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Test_OpenOffice.xls">
      <Link>Resources\Test_OpenOffice.xls</Link>
    </None>
    <None Include="..\Excel.Tests\Resources\Uncalculated.xls">
      <Link>Resources\Uncalculated.xls</Link>
    </None>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>